Skip to content

Get asset

Query asset processing progress and details using the task_id returned by Upload asset. Once the asset Status=Active, you can reference it in video requests.

http
POST /v1/seedance/asset/GetAsset

Headers

NameTypeRequiredDescription
stringYesRequest authentication. Use a Bearer Token, for example:
stringYesRequest content type. Must be set to

Request body

NameTypeRequiredDescription
stringYesTask ID returned when uploading the asset

Request example

bash
curl -X POST https://octopusx.ai/v1/seedance/asset/GetAsset \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
  "task_id": "task_xxx"
}'

Response example

json
{
  "state": 1,
  "data": {
    "Id": "asset-xxx",
    "Name": "child",
    "URL": "https://example.com/processed.webp",
    "AssetType": "Image",
    "GroupId": "group-xxx",
    "Status": "Active",
    "CreateTime": "2026-04-15T11:15:40Z",
    "UpdateTime": "2026-04-15T11:16:02Z",
    "Error": null
  },
  "error": null
}

Response fields

NameTypeDescription
integerBusiness status. means success
stringAsset ID ()
stringAsset name
stringProcessed asset URL
stringAsset type: / /
stringParent asset group ID
stringAsset status. Can be referenced after
/ stringCreate / update time (ISO 8601)
objectProcessing error information
objectRequest error information. on success